Bug 1978425 - Consolidate namespaces in console-app and console-shared plugins
Summary: Consolidate namespaces in console-app and console-shared plugins
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.9
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.9.0
Assignee: ralpert
QA Contact: Xiyun Zhao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-07-01 18:58 UTC by ralpert
Modified: 2021-10-18 17:38 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:38:00 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9421 0 None open Bug 1978425: Consolidate namespaces in plugins 2021-07-06 20:25:42 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:38:19 UTC

Description ralpert 2021-07-01 18:58:36 UTC
Description of problem:
There are extra namespaces in use in the console-shared and console-app plugins. We should consolidate them into the main locales file for each package and remove the namespaces from i18n.js.

Version-Release number of selected component (if applicable):
4.9

How reproducible:
Always

Steps to Reproduce:
1. Look at the locales folder in the console-shared and console-app plugins

Actual results:
There are many json files.

Expected results:
There should be one json file.

Additional info:

Comment 2 Xiyun Zhao 2021-07-12 14:19:23 UTC
This bug has been verified and fixed on the newest code, newer than the build of 4.9.0-0.nightly-2021-07-10-081034

Verify step:
1. Download the newest code for Console 
2. Verify if there is only one json file can be found for each languages in the 'locales' folder in the console-app and console-shared plugins
3. Verify if the content that changed on PR has been added into the json file

Result:
2. Only one json file can be found for each languages in the 'locales' folder in the console-app and console-shared plugins. 
   The extra json files like cloudshell, nodes, tour and so on has been removed
3. The content that changed on PR has been added into the json file, no issue found after grep related information for the file

Comment 5 errata-xmlrpc 2021-10-18 17:38:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.